/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package nonterminalExpression;

import abstractExpression.ApstraktniIzraz;
import java.util.ArrayList;
import java.util.List;
import terminalExpression.Cifra;
import terminalExpression.Crta;
import terminalExpression.KosaCrta;
import terminalExpression.MaloSlovo;
import terminalExpression.VelikoSlovo;

/**
 *
 * @author Luka
 */
public class Znakovi implements ApstraktniIzraz {

    private List<ApstraktniIzraz> apstraktniIzrazi;
    private String patern;

    public Znakovi(String patern) {
        this.patern = patern;
        apstraktniIzrazi = new ArrayList<>();
        inicijalizujApstraktneIzraze();
    }
    
    private void inicijalizujApstraktneIzraze() {
        for (int i = 0; i < patern.length(); i++) {
            char znak = patern.charAt(i);
            switch (znak) {
                case 'C':
                    apstraktniIzrazi.add(new Cifra());
                    break;
                case 's':
                    apstraktniIzrazi.add(new MaloSlovo());
                    break;
                case 'S':
                    apstraktniIzrazi.add(new VelikoSlovo());
                    break;
                case '-':
                    apstraktniIzrazi.add(new Crta());
                    break;
                case '/':
                    apstraktniIzrazi.add(new KosaCrta());
                    break;
            }
        }
    }

    @Override
    public boolean interpretiraj(String kontekst) {
        if (patern.length() != kontekst.length()) {
            return false;
        }
        String[] delovi = kontekst.split("");
        for (int i = 0; i < kontekst.length(); i++) {
            if (!apstraktniIzrazi.get(i).interpretiraj(delovi[i])) {
                return false;
            }
        }
        return true;
    }

}
