/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package start;

import concreteStrategy.Flaster;
import concreteStrategy.Izolacija;
import concreteStrategy.Rogovi;
import concreteStrategy.Zona;
import context.GoldenStateWarriors;
import context.KosarkaskiTim;
import context.LosAngelesLakers;
import strategy.StrategijaZaNapad;
import strategy.StrategijaZaOdbranu;

/**
 *
 * @author Luka
 */
public class Start {
    
    public static void main(String[] args) {
        
        StrategijaZaNapad rogovi = new Rogovi();
        StrategijaZaNapad izolacija = new Izolacija();
        
        StrategijaZaOdbranu flaster = new Flaster();
        StrategijaZaOdbranu zona = new Zona();
        
        KosarkaskiTim lakers = new LosAngelesLakers(izolacija, flaster);
        KosarkaskiTim warriors = new GoldenStateWarriors(rogovi, zona);
        
        lakers.prikaziTim();
        lakers.postaviNapad();
        lakers.postaviOdbranu();
        
        System.out.println("----------------------------------------------------------------------------");
        
        warriors.prikaziTim();
        warriors.postaviNapad();
        warriors.postaviOdbranu();
        
    }
    
}
